/////////////////////////////////////////////////////////////////////////
////////                 Command line options                     ///////
////////    +ft  +a0 +KFI0 +KFF700 +KI0 +KF700 +SF0+EF700 +b140   ///////
/////////////////////////////////////////////////////////////////////////

// ==== Standard POV-Ray Includes ====
#include "colors.inc"	// Standard Color definitions
#include "textures.inc"	// Standard Texture definitions
#include "stoneold.INC" 
#include "metals.inc" 
// Set a color of the background (sky)

 
#declare A=seed(63234);
#if(clock<=600)  
#if(clock<=513)    
background { Gray50 }

  light_source
{
  0*x // light's position (translated below)
  color red 1  green 1  blue 1  // light's color  
  translate <-90, 50, -150>   
  //shadowless
}                                                       
                                       
  light_source
{
  0*x // light's position (translated below)
  Gray70  // light's color  
  translate <0, 6, -2>   
  shadowless
}                                                       
  light_source
{
  0*x // light's position (translated below)
  Gray70  // light's color  
  translate <50, 6, -100>   
  shadowless
}                                                       
  light_source
{
  0*x // light's position (translated below)
  White  // light's color  
  translate <-100, 60, 100>   
  shadowless
}                                                       
#else ///Hasta 613 esta disminuyendo
background { Gray50*(1-(clock-513)/87) }
  light_source
{
  0*x // light's position (translated below)
  White*(1-(clock-513)/87)  // light's color  
  translate <-90, 50, -150>   
  //shadowless
}                                                       
                                       
  light_source
{
  0*x // light's position (translated below)
  Gray70*(1-(clock-513)/87) // light's color  
  translate <0, 6, -2>   
  shadowless
}                                                       
  light_source
{
  0*x // light's position (translated below)
  Gray70*(1-(clock-513)/87)  // light's color  
  translate <50, 6, -100>   
  shadowless
}                                                       
  light_source
{
  0*x // light's position (translated below)
  White*(1-(clock-513)/87)  // light's color  
  translate <-100, 60, 100>   
  shadowless
}                                                       

#end

plane{y,0 texture{pigment{DMFWood4} finish{reflection .05} scale 10}}
 

 
#declare S=seed(1123);

#include "tramos_pista.inc"
union{
object{tramo_1 translate 1*y}
object{tramo_2 translate<largo_tramo_1,2,0>} 
object{tramo_3 translate <largo_tramo_1+largo_tramo_2,2,-1>}
object{tramo_4 translate <largo_tramo_1+largo_tramo_2+largo_tramo_3,2,-4>}
object{tramo_5 rotate 180*y translate <largo_tramo_1+largo_tramo_2+largo_tramo_3,1,-4-2>}
object{tramo_6 rotate 180*y translate <largo_tramo_1+largo_tramo_2+largo_tramo_3-largo_tramo_5+pi,3,-4-2>}
object{tramo_7 rotate 180*y translate <largo_tramo_1+largo_tramo_2+largo_tramo_3-largo_tramo_5+pi-largo_tramo_6,4,-4-2>}
object{tramo_8 rotate 180*y translate <largo_tramo_1+largo_tramo_2+largo_tramo_3-largo_tramo_5+pi-largo_tramo_6-largo_tramo_7,2,-4-2>} 
object{tramo_9 rotate 180*y translate <largo_tramo_1+largo_tramo_2+largo_tramo_3-largo_tramo_5+pi-largo_tramo_6-largo_tramo_7-largo_tramo_8,0,-4-2>} 
object{tramo_10 rotate 180*y translate<0,0,-2>} 
object{tramo_final rotate 90*y translate <-4,4,-1>} 
}     
 
#if(clock<=72)
camera{location<6*pi/2 , 8.0 ,-4> look_at<6*pi*clock/72 ,2 , 0>}
#else 
#if(clock<=72+19)
camera{location<6*pi/2+5*pow((clock-72)/19,1/2)+(6*pi/2)*(clock-72)/19, 8.0 ,-4> look_at<5*(clock-72)/19+largo_tramo_1,2 , 0>}
#else 
#if(clock<=72+19+36)
camera{location<35, 8.0 ,4> look_at<3*pi*(clock-72-19)/36+largo_tramo_1+largo_tramo_2,2 , 0>}
#else 
#if(clock<=72+19+36+24)
camera{location<35, 8.0 ,4> look_at<3*pi*(127-72-19)/36+largo_tramo_1+largo_tramo_2,2 , 0>}
#else 
#if(clock<=72+19+36+24+24)
//camera{location<15, 5.0 ,-15> look_at<30,5 , 0>}
camera{location<15, 8.0 ,-15> look_at(-<2*pi*(clock-72-19-36-24)/24,0,0>+<largo_tramo_1+largo_tramo_2+largo_tramo_3,2,-4-2>)}
#else
#if(clock<=72+19+36+24+24+12)
//camera{location<15, 5.0 ,-15> look_at<30,5 , 0>}
camera{location<15, 8.0 ,-15> look_at(-<2*pi*(clock-72-19-36-24-24)/24+pi,0,0>+<largo_tramo_1+largo_tramo_2+largo_tramo_3-largo_tramo_5+pi,2,-4-2>)}
#else
#if(clock<=72+19+36+24+24+12+19)
//camera{location<15, 5.0 ,-15> look_at<30,5 , 0>}
camera{location<15, 8.0 ,-15> look_at(-<5*(clock-72-19-36-24-24-12)/19,0,0>+<largo_tramo_1+largo_tramo_2+largo_tramo_3-largo_tramo_5+pi-largo_tramo_6,2,-4-2>)}
#else 
#if(clock<=72+19+36+24+24+12+19+24)
camera{location<15, 8.0 ,-15>  look_at(-<2*pi*(clock-206)/24,0,0>+<largo_tramo_1+largo_tramo_2+largo_tramo_3-largo_tramo_5+pi-largo_tramo_6-largo_tramo_7,2,-4-2>) }
#else
#if(clock<=72+19+36+24+24+12+19+24+48)
camera{location<-0, 1.0 ,-2>look_at(-<4*pi*(clock-206-24)/48,1,0>+<largo_tramo_1+largo_tramo_2+largo_tramo_3-largo_tramo_5+pi-largo_tramo_6-largo_tramo_7-largo_tramo_8,1,-4-2>) }
#else
#if(clock<=300)
camera{location<0, 1.0 ,-2> look_at(-<4*pi*(278-206-24)/48,1,0>+<largo_tramo_1+largo_tramo_2+largo_tramo_3-largo_tramo_5+pi-largo_tramo_6-largo_tramo_7-largo_tramo_8,1,-4-2>) translate 2*z rotate (180*(clock-206-24-48))/48*y translate -2*z} 
#else 
#if(clock<=383)
camera{location<-15, 8.0 ,(clock-300)*60/90+10> look_at<-4,2,(clock-300)*60/90>}  
#else
#if(clock<=425)
camera{location<-15, 8.0 ,(383-300)*60/90+10> look_at<-4,2,(383-300)*60/90>}                                                                                  
#else
#if(clock<=475)  
////finaliza en 476 para empezar desde 475 con otro movimiento
camera{location<-15, 8.0 ,-4> look_at<0,2,-(clock-475)*60/90>}
#else 
#if(clock<=475+38)
camera{location<-15, 8.0 ,-4> look_at<0,2,-10*(clock-475)/38>}                                                                                                                                                                   
#else 
camera{location<-15, 8.0 ,-4> look_at<0,2,-10>}                                                                                                                                                                    
#end  
#end
#end
#end
#end
#end
#end
#end
#end
#end
#end
#end
#end   
#end

  
#declare bola_metalica=difference{
object{sphere{<0,0,0>,.7}}
texture{pigment{Gray60} finish{phong .5 phong_size 100 reflection .2}}
rotate 0*360*clock/(2*pi*.7) translate .95*y}      

#declare caja_final=difference{
        object{box{<0,0,-1.8>,<2,7,1.8>}}
        object{cylinder{<-2,4.9,0>,<1.9,4.9,0>,1}}
        texture{pigment{Gray20} finish{phong 1 phong_size 3 reflection .1}}
        }
              
object{caja_final translate <11,0,0> rotate 90*y translate -4*x}              
#include "recorrido_bola.inc"     
#include "caida_fichas.pov"


#else
#include "creditos.inc"
#end